#include "RGBLed.h"

RGBLed::Color::Color(bool r, bool g, bool b) : _r(r), _g(g), _b(b) {
}

RGBLed::RGBLed(PinName redPin, PinName greenPin, PinName bluePin) : _red(redPin), _green(greenPin), _blue(bluePin) {
    this->setColor(RGBLed::BLACK); // Clear the LED output
}

void RGBLed::setColor(Color& color) {
    _red = color._r;
    _green = color._g;
    _blue = color._b;
}

RGBLed::Color RGBLed::BLACK = RGBLed::Color(1,1,1);
RGBLed::Color RGBLed::RED = RGBLed::Color(0,1,1);
RGBLed::Color RGBLed::GREEN = RGBLed::Color(1,0,1);
RGBLed::Color RGBLed::BLUE = RGBLed::Color(1,1,0);
RGBLed::Color RGBLed::MAGENTA = RGBLed::Color(0,1,0);
RGBLed::Color RGBLed::CYAN = RGBLed::Color(1,0,0);
RGBLed::Color RGBLed::YELLOW = RGBLed::Color(0,0,1);
RGBLed::Color RGBLed::WHITE = RGBLed::Color(0,0,0);